# Function ngMessagesDirective

- ngMessagesDirective($animate): {
  controller: (($element: any, $scope: any, $attrs: any) => NgMessageCtrl);
  require: string;
  restrict: string;
  }

- #### Parameters

  - $animate: any

  #### Returns {
  controller: (($element: any, $scope: any, $attrs: any) => NgMessageCtrl);
  require: string;
  restrict: string;
  }

  - ##### controller: (($element: any, $scope: any, $attrs: any) => NgMessageCtrl)

    - - ($element, $scope, $attrs): NgMessageCtrl

      - #### Parameters

        - $element: any
        - $scope: any
        - $attrs: any

        #### Returns NgMessageCtrl

  - ##### require: string

  - ##### restrict: string

  - Defined in directive/messages/messages.js:195

#####
Index

### Properties

$inject

##
Properties

### $inject

$inject: string[]

- Defined in directive/messages/messages.js:194